Bug 1263668 - PlugIn Management: Newly created screen plugins are not listed in Place Name parameter of screen component
PlugIn Management: Newly created screen plugins are not listed in Place Name ...
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity high
: ER2
: 6.3.0
Assigned To: Eder Ignatowicz
Tomas David
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 07:42 EDT by Tomas David
Modified: 2016-03-31 05:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas David 2015-09-16 07:42:20 EDT
Description of problem:
When a new screen plugin is created and screen component is added to a column of perspective plugin, newly created screen plugin name is not listed in select element of Place Name parameter.

Version-Release number of selected component (if applicable):
BRMS 6.2.0.ER2

How reproducible:
-

Steps to Reproduce:
1. Create a new screen plugin. (Extensions -> Plugin Management -> New... -> New Screen)
2. Create a new perspective plugin. (Extensions -> Plugin Management -> New... -> New Perspective)
3. Add screen component to a column in the created Perspective plugin.
4. Try to select name of the newly created Screen plugin in Place name select element.

Actual results:
Name of the Screen plugin is not listed in Place name select element.

Expected results:
Screen plugin name is selected.

Additional info:
-
Comment 1 Eder Ignatowicz 2015-09-30 09:45:25 EDT
Right now, this only works if the user reloads the application.

There is a UF feature related with that: https://issues.jboss.org/browse/UF-234
Comment 2 Eder Ignatowicz 2015-10-14 16:21:22 EDT
After a reload, this commit allows a screen to be displayed in Edit Screen drop-down.

https://github.com/uberfire/uberfire-extensions/commit/e4655234b740d0496a4205c728c1fd3751b5bc36.

The "live reload" feature will be implemented in the future. (https://issues.jboss.org/browse/UF-234)
Comment 3 Tomas David 2015-11-04 10:35:04 EST
I still cannot select newly created screen component in 'Place Name' dropdown menu because the screen component is not listed.

I tried to refresh the browser (ctrl + F5) and I also tried to restart eap server after 1. step but it does not help.

Tested on BRMS 6.2.0.ER5.
Comment 6 Tomas David 2015-12-02 04:59:56 EST
Thanks Eder.

Verified on BRMS 6.2.0.CR2.
Comment 7 jsoltes 2016-03-07 10:51:06 EST
Tests on BPMS 6.2.2.CR1 revealed that even though fixed for BRMS, this issue is still present in BPMS (both 6.2.2 and 6.2.0 - so this isn't a regression).
Comment 8 Kris Verlaenen 2016-03-16 11:06:31 EDT
This seems outdated, I was able to select my screen component in the perspective after a refresh in BPM Suite as well.
Comment 9 Tomas David 2016-03-31 05:03:57 EDT
Verified with BPMS and BRMS 6.3.0.ER2. I also tried the steps on the latest BPMS 6.2.2 build and I did't see the issue.

Note You need to log in before you can comment on or make changes to this bug.